import ephem
import time

# https://www.celestrak.com/NORAD/elements/stations.txt
# Data Updated: 2017 Dec 17 (Day 351)
name = "ISS (ZARYA)"
line1 = "1 25544U 98067A   17351.62434690  .00001396  00000-0  28274-4 0  9997"
line2 = "2 25544  51.6407 203.8608 0002668 251.6813 158.5185 15.54176109 90281"

ISS = ephem.readtle(name, line1, line2)

while True:
    ISS.compute()
    print("Lat: %s - Long: %s - Quota: %s" % (ISS.sublat, ISS.sublong, ISS.elevation))
    time.sleep(1)
    
# Verifiche:
# http://www.esa.int/Our_Activities/Human_Spaceflight/International_Space_Station/Where_is_the_International_Space_Station
# http://www.isstracker.com/