import ephem
import time
import math

name = "ISS (ZARYA)"
line1 = "1 25544U 98067A   17351.62434690  .00001396  00000-0  28274-4 0  9997"
line2 = "2 25544  51.6407 203.8608 0002668 251.6813 158.5185 15.54176109 90281"
ISS = ephem.readtle(name, line1, line2)

sole = ephem.Sun()
crepuscolo = -6 # il crepuscolo comincia 6 gradi sotto l'orizzonte

while True:
    ISS.compute()
    osservatore = ephem.Observer()
    osservatore.lat = ISS.sublat
    osservatore.long = ISS.sublong
    osservatore.elevation = 0  # sul livello del mare, sotto la ISS
    sole.compute(osservatore)
    altezza_sole = math.degrees(sole.alt)
    giorno_o_notte = "giorno" if altezza_sole > crepuscolo else "notte"
    print("Lat: %s - Long: %s ed e' %s (infatti l'altezza del sole e' %d°)" %
          (ISS.sublat, ISS.sublong, giorno_o_notte, altezza_sole))
    time.sleep(1)
    
# Verifiche:
# http://www.esa.int/Our_Activities/Human_Spaceflight/International_Space_Station/Where_is_the_International_Space_Station
# http://www.isstracker.com/